List
List API keys visible to the calling API key, with pagination. An API key with account-level api_keys_manage access will see all keys, while a key with the api_keys_manage role scoped to specific teams will only see keys belonging to those teams.
This endpoint requires a valid API key with the api_keys_manage role at either the account level or team level.
GET
/
v1
/
api_keys
List
curl --request GET \
--url https://api.incident.io/v1/api_keys \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.incident.io/v1/api_keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.incident.io/v1/api_keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"api_keys": [
{
"comments": "Requested in https://example.slack.com/archives/C123/p456",
"created_at": "2021-08-17T13:28:57.801578Z",
"creator": {
"api_key": {
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "My test API key"
},
"user": {
"email": "lisa@incident.io",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Lisa Karlin Curtis",
"role": "viewer",
"slack_user_id": "U02AYNF2XJM"
}
},
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"last_used_at": "2021-08-17T13:28:57.801578Z",
"name": "My test API key",
"roles": [
{
"description": "can view data, like public incidents and organization settings",
"name": "viewer"
}
],
"team_ids": [
"abc123"
],
"team_roles": [
{
"description": "can view data, like public incidents and organization settings",
"name": "catalog_editor"
}
],
"token_last_issued_at": "2021-08-17T13:28:57.801578Z"
}
],
"pagination_meta": {
"after": "01FCNDV6P870EA6S7TK1DSYDG0",
"page_size": 25
}
}🔑 Requires the
api_keys.view scope.Authorizations
API key from your incident.io dashboard (Settings → API keys)
Query Parameters
Integer number of records to return
Required range:
x <= 250Example:
25
An record's ID. This endpoint will return a list of records after this ID in relation to the API response order.
Example:
"01FDAG4SAP5TYPT98WGR2N7W91"
Response
200 - application/json
OK response.
Show child attributes
Show child attributes
Example:
[
{
"comments": "Requested in https://example.slack.com/archives/C123/p456",
"created_at": "2021-08-17T13:28:57.801578Z",
"creator": {
"api_key": {
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "My test API key"
},
"user": {
"email": "lisa@incident.io",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Lisa Karlin Curtis",
"role": "viewer",
"slack_user_id": "U02AYNF2XJM"
}
},
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"last_used_at": "2021-08-17T13:28:57.801578Z",
"name": "My test API key",
"roles": [
{
"description": "can view data, like public incidents and organization settings",
"name": "viewer"
}
],
"team_ids": ["abc123"],
"team_roles": [
{
"description": "can view data, like public incidents and organization settings",
"name": "catalog_editor"
}
],
"token_last_issued_at": "2021-08-17T13:28:57.801578Z"
}
]
Show child attributes
Show child attributes
Example:
{
"after": "01FCNDV6P870EA6S7TK1DSYDG0",
"page_size": 25
}
Was this page helpful?
⌘I
List
